module fpu_tb ();


  import types_pkg::*;

  logic                                clk;

  // Inputs
  logic [WORD_BITS               -1:0] inp_a;
  logic [WORD_BITS               -1:0] inp_b;
  opcode_t                             inp_op;

  // Outputs
  logic [WORD_BITS               -1:0] out_result;


  fpu U0 ( 
  .*
  ); 
    
  initial begin
    clk = 0;
    inp_a = 32'h3f800000;
    inp_b = 32'h3f800000;
    inp_op = ADD;
  end;

  always  
    #1 clk = ~clk;

  always
    #2 inp_a = inp_a + 100;

  always
    #70 inp_op = inp_op.next();


endmodule