from PIL import Image

from scipy import misc
import numpy as np

old = np.int32(misc.imread('2017-04-27 16.56.12.png', mode='RGB'))
new = np.int32(misc.imread('2017-05-04 13.11.44.png', mode='RGB'))

diff = new - old
absdiff = abs(diff)
print(absdiff.shape)
sumdiff = np.sum(absdiff, 2)
print(sumdiff.shape)

data = sumdiff

print(np.unique(diff))

import matplotlib.pyplot as plt

plt.imshow(sumdiff)
plt.colorbar()
plt.show()


cmap = plt.cm.jet
norm = plt.Normalize(vmin=data.min(), vmax=data.max())

# map the normalized data to colors
# image is now RGBA (512x512x4)
image = cmap(norm(data))

# save the image
plt.imsave('colormapped.png', image)
print('min:{}, max:{}'.format(data.min(), data.max()))
