from rayman.scene import *
from rayman.memory import *
from rayman.cpu import *
from rayman.raymanager import *
from rayman.objbuffer import *
from rayman.core import *

ram = Memory()
# scenefile = '../scenes/scene_rgb_simple_lowres'
scenefile = '../scenes/scene_rgb_simple'
objbuffer = Objbuffer(ram)
core = Core(objbuffer)
raymanager = Raymanager(ram, objbuffer, core)

cpu = Cpu(scenefile, ram, raymanager)

objbuffer.buffer.dump('../verilog/objbuffer.dat')

# print('-'*25)

# print(ram)
